Code-Scan-Profile auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/code-scans/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/code-scans/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/code-scans/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": 123,
"description": "<string>",
"mode": "discover",
"name": "<string>",
"org_id": "<string>",
"profile_id": "<string>",
"scan_type": "security",
"visibility": "org"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Code-Scans (Enterprise)
Code-Scan-Profile auflisten (Devin API)
Die für ein Enterprise verfügbaren Devin-Code-Scan-Profile auflisten, einschließlich organisationsspezifischer und kontoweit geteilter Discover- und Ingestionsprofile
GET
/
v3
/
enterprise
/
code-scans
/
profiles
Code-Scan-Profile auflisten
Berechtigungen
ViewAccountCodeScans auf Enterprise-Ebene.
Verhalten
org_id ist bei freigegebenen Profilen null). Jede Zusammenfassung enthält den mode des Profils (discover oder ingest) sowie den scan_type, die bestimmen, ob das Profil an Code-Scan starten oder Ingestion-Scan starten übergeben werden kann.
Optional nach org_ids filtern; die Ergebnisse werden mit einem nicht interpretierbaren Cursor (after / first) paginiert. Verwenden Sie Code-Scan-Profil abrufen, um die vollständige Anleitung eines Profils abzurufen. Das Pendant im Org-Geltungsbereich ist Code-Scan-Profile auflisten (Organisation).Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Abfrageparameter
Erforderlicher Bereich:
1 <= x <= 200Gibt nur Profile zurück, die für diese Organisationen sichtbar sind. Standardmäßig werden alle Organisationen im Konto verwendet.
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Einträge verfügbar sind.
Optionale Gesamtanzahl (kann aus Performance-Gründen weggelassen werden).

